Package org.postgresql.ssl

# Class DbKeyStoreSocketFactory.DbKeyStoreSocketException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.postgresql.ssl.DbKeyStoreSocketFactory.DbKeyStoreSocketException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  DbKeyStoreSocketFactory

public static class DbKeyStoreSocketFactory.DbKeyStoreSocketException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DbKeyStoreSocketException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DbKeyStoreSocketException

public DbKeyStoreSocketException(String message)